FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::ActionStmt Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (ActionStmt)

## Public Attributes
std::variant< common::Indirection< AllocateStmt >, common::Indirection< AssignmentStmt >, common::Indirection< BackspaceStmt >, common::Indirection< CallStmt >, common::Indirection< CloseStmt >, ContinueStmt, common::Indirection< CycleStmt >, common::Indirection< DeallocateStmt >, common::Indirection< EndfileStmt >, common::Indirection< EventPostStmt >, common::Indirection< EventWaitStmt >, common::Indirection< ExitStmt >, FailImageStmt, common::Indirection< FlushStmt >, common::Indirection< FormTeamStmt >, common::Indirection< GotoStmt >, common::Indirection< IfStmt >, common::Indirection< InquireStmt >, common::Indirection< LockStmt >, common::Indirection< NullifyStmt >, common::Indirection< OpenStmt >, common::Indirection< PointerAssignmentStmt >, common::Indirection< PrintStmt >, common::Indirection< ReadStmt >, common::Indirection< ReturnStmt >, common::Indirection< RewindStmt >, common::Indirection< StopStmt >, common::Indirection< SyncAllStmt >, common::Indirection< SyncImagesStmt >, common::Indirection< SyncMemoryStmt >, common::Indirection< SyncTeamStmt >, common::Indirection< UnlockStmt >, common::Indirection< WaitStmt >, common::Indirection< WhereStmt >, common::Indirection< WriteStmt >, common::Indirection< ComputedGotoStmt >, common::Indirection< ForallStmt >, common::Indirection< ArithmeticIfStmt >, common::Indirection< AssignStmt >, common::Indirection< AssignedGotoStmt >, common::Indirection< PauseStmt > > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h